import { NextResponse } from 'next/server'

export function middleware(request) {
    const { method, nextUrl } = request

    // Filter out internal Next.js assets if desired
    if (!nextUrl.pathname.startsWith('/_next')) {
        console.log(`${method} ${nextUrl.pathname}`)
    }

    return NextResponse.next()
}